Skip to main content
GET
/
filter
/
{id}
Get Single Filter
curl --request GET \
  --url http://{host}:{port}/{contextPath}/filter/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "9917d731-3cde-11e4-b704-f0def1e59da8",
  "name": "Accounting Tasks",
  "owner": null,
  "properties": {
    "color": "#3e4d2f",
    "description": "Tasks assigned to group accounting",
    "priority": 5
  },
  "query": {
    "candidateGroup": "accounting"
  },
  "resourceType": "Task"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the filter to be retrieved.

Query Parameters

itemCount
boolean

If set to true, each filter result will contain an itemCount property with the number of items matched by the filter itself.

Response

Request successful.

id
string | null

The id of the filter.

resourceType
string | null

The resource type of the filter.

name
string | null

The name of the filter.

owner
string | null

The user id of the owner of the filter.

query
object

The query of the filter as a JSON object.

properties
object

The properties of a filter as a JSON object.

itemCount
integer<int64> | null

The number of items matched by the filter itself. Note: Only exists if the query parameter itemCount was set to true